summaryrefslogtreecommitdiffstats
path: root/system/graveman
diff options
context:
space:
mode:
Diffstat (limited to 'system/graveman')
-rw-r--r--system/graveman/graveman.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/graveman/graveman.SlackBuild b/system/graveman/graveman.SlackBuild
index 8e2b87888d..a718a8bf80 100644
--- a/system/graveman/graveman.SlackBuild
+++ b/system/graveman/graveman.SlackBuild
@@ -86,12 +86,8 @@ CXXFLAGS="$SLKCFLAGS" \
make || exit 1
make install DESTDIR=$PKG || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;